API referenceBeneficiaries

Confirm a sanctions hit

POST
/api/b/v1/beneficiaries/{beneficiary_id}/block

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

Path Parameters

beneficiary_id*Beneficiary Id
Formatuuid
admin_access_token?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Why a beneficiary was blocked or cleared. IN-302.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/b/v1/beneficiaries/497f6eca-6276-4993-bfeb-53cbbbba6f08/block" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "label": "string",  "full_name": "string",  "type": "string",  "currency": "string",  "country_code": "string",  "account_identifier": "string",  "bank_name": "string",  "validation_status": "unchecked",  "account_name_returned": "string",  "screening_status": "unscreened",  "screening_notes": "string",  "screened_at": "2019-08-24T14:15:22Z",  "reviewed_at": "2019-08-24T14:15:22Z",  "payable": true,  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}